petsc-3.4.2 2013-07-02

# TSSetSolution

Sets the initial solution vector for use by the TS routines.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetSolution(TS ts,Vec u)

Logically Collective on TS and Vec

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| u | - the solution vector

### Keywords

TS, timestep, set, solution, initial conditions

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex15.c.html
src/ts/examples/tutorials/ex17.c.html
src/ts/examples/tutorials/ex22.c.html